/*
 * Project name:
     PWM_MB3
 * Copyright:
     (c) Mikroelektronika, 2018.
 * Description:
     This is a simple demonstration of PWM library, which is being used for
     control of the ARM's PWM module. The module is initialized and started,
     The changes can be monitored on the PWM output pin PC1.
 * Test configuration:
     MCU:             MK64FN1M0VDC12
                      https://www.nxp.com/docs/en/data-sheet/K64P144M120SF5.pdf
     Dev.Board:       Fusion for ARM v8 (rev 1.05)
     Oscillator:      PLL, 120.000MHz
     Ext. Modules:    TESTER click
     SW:              mikroC PRO for ARM v6.0.0
                                          http://www.mikroe.com/mikroc/arm/
 * NOTES:
   - Place TESTER click on mikroBUS3.
 */
#include <stdint.h>

unsigned int current_duty, current_duty1, current_duty2, current_duty3, current_duty4;
unsigned int pwm_period1, pwm_period2, pwm_period3, pwm_period4, pwm_period5;

#define pwmChannel _PWM_CHANNEL_1

void main() {
unsigned int duty = 0;

  current_duty = 100;

  pwm_period1 = PWM_FTM2_Init(2000, _PWM_CENTER_ALIGNED_PWM, pwmChannel, &_GPIO_Module_PWM2_PTA11);
  PWM_FTM2_Set_Duty(duty, _PWM_NON_INVERTED, pwmChannel);
  PWM_FTM2_Start(_PWM_CHANNEL_1);
  
  while(1) {
    if (duty < 100) {
      duty += 1;
      PWM_FTM2_Set_Duty(duty, _PWM_NON_INVERTED, pwmChannel);
      Delay_ms(20);
    }
    else
      duty = 0;
  }
}